#include <common.h>
#include <command.h>
#include <asm/arch/regaccess.h>

int do_reset(cmd_tbl_t *cmdtp, int flag, int argc, char *argv[])
{
	PNX833X_RESET_CONTROL_2 = 0;
	PNX833X_RESET_CONTROL = 0;

	while (1) ;

	return 0;
}


/* no-ops for now */
void enable_interrupts(void)
{
}

int disable_interrupts(void)
{
	return 0;
}

void flush_cache (ulong start_addr, ulong size)
{
	/* just pass large enough data block through data cache ... */
	memcpy((void *)0x80000000, (void *)0x80000000, 2 * CFG_DCACHE_SIZE);
}
